mscorlib 2.0.0.0 4.0.0.0 System.Runtime.InteropServices.ComVisible(true)

This interface allows the implementation of customized equality comparison for collections. That is, you can create your own definition of equality, and specify that this definition be used with a collection type that accepts the interface. In the .NET Framework, constructors of the , , and collection types accept this interface.

This interface supports only equality comparisons. Customization of comparisons for sorting and ordering is provided by the interface.

For the generic version of this interface, see .

Defines methods to support the comparison of objects for equality.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  Implement this method to provide a customized equality comparison for objects.

  Determines whether the specified objects are equal.

  true if the specified objects are equal; otherwise, false.

  The first object to compare. The second object to compare.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 ``

  Implement this method to provide customized hash codes for objects,corresponding to the customized equality comparison provided by the method.

  Returns a hash code for the specified object.

  A hash code for the specified object.

  The for which a hash code is to be returned.